# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section		free
%define svndate		20060511

Name:		tuscany
Version:	SNAPSHOT
Release:	0.%{svndate}.2jpp
Epoch:		0
Summary:	Tuscany Project
License:	Apache Software License 2.0
Url:		http://incubator.apache.org/tuscany/
Group:		Development/Libraries/Application Frameworks
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	tuscany-%{svndate}-src.tar.gz
# svn export http://svn.apache.org/repos/asf/incubator/tuscany/java
Source1:	tuscany-%{svndate}-repo.tar

Patch0:	tuscany-20060511-binding.celtix-pom_xml.patch
Patch1:	tuscany-20060511-sunjars-build_xml.patch

BuildRequires:	maven2 >= 0:2.0
BuildRequires:	java-devel >= 0:1.5
BuildRequires:  jpackage-utils >= 0:1.6

BuildRequires:	annogen >= 0:0.1.1-2jpp
BuildRequires:	ant >= 0:1.6.5-1jpp
BuildRequires:	antlr >= 0:2.7.6-2jpp
BuildRequires:	asm2 >= 0:2.1-2jpp
BuildRequires:	axis2 >= 0:1.0-1jpp
BuildRequires:	bea-stax-api >= 0:1.2.0-0.rc1.2jpp
BuildRequires:	bsh >= 0:1.3.0-7jpp
BuildRequires:	cglib >= 0:2.1.3-2jpp
BuildRequires:	checkstyle >= 0:4.1-3jpp
BuildRequires:	checkstyle-optional >= 0:4.1-3jpp
BuildRequires:	concurrent >= 0:1.3.4-1jpp
BuildRequires:	derby >= 0:10.0.2.1-1jpp
BuildRequires:	geronimo-j2ee-connector-1.5-api >= 0:1.0-2jpp
BuildRequires:	geronimo-j2ee-management-1.0-api >= 0:1.0-2jpp
BuildRequires:	geronimo-jacc-1.0-api >= 0:1.0-2jpp
BuildRequires:	geronimo-jaf-1.0.2-api >= 0:1.0-3jpp
BuildRequires:	geronimo-jms-1.1-api >= 0:1.0-2jpp
BuildRequires:	geronimo-jta-1.0.1B-api >= 0:1.0-2jpp
BuildRequires:	jakarta-commons-beanutils >= 0:1.7.0-3jpp
BuildRequires:	jakarta-commons-codec >= 0:1.3-2jpp
BuildRequires:	jakarta-commons-collections >= 0:3.1-3jpp
BuildRequires:	jakarta-commons-dbcp >= 0:1.2.1-3jpp
BuildRequires:	jakarta-commons-httpclient >= 0:3.0-2jpp
BuildRequires:	jakarta-commons-io >= 0:1.1-0.20051005.2jpp
BuildRequires:	jakarta-commons-logging >= 0:1.0.4-3jpp
BuildRequires:	jakarta-commons-modeler >= 0:1.1-4jpp
BuildRequires:	jakarta-commons-pool >= 0:1.3-1jpp
BuildRequires:	jakarta-commons-primitives >= 0:1.1-0.20060127.1jpp
BuildRequires:	jakarta-commons-validator >= 0:1.1.4-1jpp
BuildRequires:	jakarta-oro >= 0:2.0.8-2jpp
BuildRequires:	jetty5 >= 0:5.1.2-2jpp
BuildRequires:	junit >= 0:3.8.2-1jpp
BuildRequires:	log4j >= 0:1.2.13-1jpp
BuildRequires:	maven2 >= 0:2.0.2-1jpp
BuildRequires:	maven-wagon >= 0:1.0-0.a5.2jpp
BuildRequires:	neethi >= 0:1.0.1-1jpp
BuildRequires:	oro >= 0:2.0.8-2jpp
BuildRequires:	plexus-archiver >= 0:1.0-0.a3.1jpp
BuildRequires:	plexus-compiler >= 0:1.5.2-2jpp
BuildRequires:	plexus-i18n >= 0:1.0-0.b6.1jpp
BuildRequires:	plexus-utils >= 0:1.0.4-2jpp
BuildRequires:	plexus-velocity >= 0:1.1.2-1jpp
BuildRequires:	qdox >= 0:1.5-2jpp
BuildRequires:	regexp >= 0:1.4-1jpp
BuildRequires:	spring >= 0:1.2.7-1jpp
BuildRequires:	spring-all >= 0:1.2.7-1jpp
BuildRequires:	spring-beans >= 0:1.2.7-1jpp
BuildRequires:	spring-core >= 0:1.2.7-1jpp
BuildRequires:	tomcat5-common-lib >= 0:5.5.17-2jpp
BuildRequires:	tomcat5-jsp-2.0-api >= 0:5.5.17-2jpp
BuildRequires:	tomcat5-server-lib >= 0:5.5.17-2jpp
BuildRequires:	tomcat5-servlet-2.4-api >= 0:5.5.17-2jpp
BuildRequires:	velocity >= 0:1.4-4jpp
BuildRequires:	ws-commons-axiom >= 0:1.0-1jpp
BuildRequires:	ws-commons-policy >= 0:1.0-1jpp
BuildRequires:	ws-commons-XmlSchema >= 0:1.0.2-1jpp
BuildRequires:	wsdl4j >= 0:1.5.2-1jpp
BuildRequires:	wstx >= 0:2.9.3-1jpp
BuildRequires:	xmlbeans >= 0:2.1.0-2jpp


Requires:	java >= 0:1.5
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Tuscany is an open source project implementing a 
Service Component Architecture.



%package das-rdb
Summary:        Tuscany DAS for Relational Databases
Group:		Development/Libraries/Application Frameworks

%description das-rdb
%{summary}.

%package sca-binding-axis2
Summary:        Tuscany Axis2 Binding
Group:		Development/Libraries/Application Frameworks

%description sca-binding-axis2
%{summary}.

%package sca-binding-celtix
Summary:        Tuscany Celtix Binding
Group:		Development/Libraries/Application Frameworks

%description sca-binding-celtix
%{summary}.

%package sca-binding-jsonrpc
Summary:        Tuscany JSON-RPC Binding
Group:		Development/Libraries/Application Frameworks

%description sca-binding-jsonrpc
%{summary}.

%package sca-container-java
Summary:        Tuscany Java IoC Container
Group:		Development/Libraries/Application Frameworks

%description sca-container-java
%{summary}.

%package sca-container-rhino
Summary:        Tuscany Rhino JavaScript Container
Group:		Development/Libraries/Application Frameworks

%description sca-container-rhino
%{summary}.

%package sca
Summary:        Tuscany SCA Implementation
Group:		Development/Libraries/Application Frameworks

%description sca
%{summary}.

%package sca-maven-plugin
Summary:        Tuscany SCA Maven Plugin
Group:		Development/Libraries/Application Frameworks

%description sca-maven-plugin
%{summary}.

%package sdo
Summary:        Tuscany SDO Implementation
Group:		Development/Libraries/Application Frameworks

%description sdo
%{summary}.

%package sdo-maven-plugin
Summary:        Tuscany SDO Maven Plugin
Group:		Development/Libraries/Application Frameworks

%description sdo-maven-plugin
%{summary}.

%package specs
Summary:        Tuscany SCA/SDO API Specifications
Group:		Development/Libraries/Application Frameworks

%description specs
%{summary}.

%package demo
Summary:        Tuscany Samples
Group:		Development/Libraries/Application Frameworks

%description demo
%{summary}.

#%package javadoc
#Summary:        Javadoc for %{name}
#Group:          Development/Documentation
#
#%description javadoc
#%{summary}.

#%package manual
#Summary:        Documents for %{name}
#Group:          Development/Documentation
#
#%description manual
#%{summary}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{svndate}-src
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%patch0 -b .sav
%patch1 -b .sav

tar xf %{SOURCE1}


%build
mkdir -p .m2

echo \<settings\>\<localRepository\>$(pwd)/.m2/repository\</localRepository\>\</settings\> > .m2/settings.xml

export JAVA_HOME=%{_jvmdir}/java-1.5.0

export M2SETTINGS=$(pwd)/.m2/settings.xml

mkdir -p .m2/repository/org/codehaus/plexus/plexus-utils/1.0.4
pushd .m2/repository/org/codehaus/plexus/plexus-utils/1.0.4
ln -sf $(build-classpath plexus/utils) plexus-utils-1.0.4.jar 
popd
mkdir -p .m2/repository/org/apache/maven/wagon/wagon-provider-api/1.0-alpha-5
pushd .m2/repository/org/apache/maven/wagon/wagon-provider-api/1.0-alpha-5
ln -sf $(build-classpath maven-wagon/provider-api) wagon-provider-api-1.0-alpha-5.jar 
popd
mkdir -p .m2/repository/org/apache/maven/wagon/wagon-ssh-external/1.0-alpha-5
pushd .m2/repository/org/apache/maven/wagon/wagon-ssh-external/1.0-alpha-5
ln -sf $(build-classpath maven-wagon/ssh-external) wagon-ssh-external-1.0-alpha-5.jar 
popd
mkdir -p .m2/repository/org/apache/maven/maven-artifact/2.0
pushd .m2/repository/org/apache/maven/maven-artifact/2.0
ln -sf $(build-classpath maven2/maven-artifact) maven-artifact-2.0.jar 
popd
mkdir -p .m2/repository/org/apache/maven/maven-artifact-manager/2.0
pushd .m2/repository/org/apache/maven/maven-artifact-manager/2.0
ln -sf $(build-classpath maven2/maven-artifact-manager) maven-artifact-manager-2.0.jar 
popd
mkdir -p .m2/repository/org/apache/maven/maven-project/2.0
pushd .m2/repository/org/apache/maven/maven-project/2.0
ln -sf $(build-classpath maven2/maven-project) maven-project-2.0.jar 
popd


#export M2HOME=/opt/maven-2.0.4
export M2HOME=/usr/share/maven2
PATH=$PATH:$M2HOME/bin


mkdir -p .m2/repository/annogen/annogen/0.1.0
pushd .m2/repository/annogen/annogen/0.1.0
ln -sf $(build-classpath annogen) annogen-0.1.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=annogen -DartifactId=annogen -Dversion=0.1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/annogen.jar
mkdir -p .m2/repository/asm/asm/2.2
pushd .m2/repository/asm/asm/2.2
ln -sf $(build-classpath asm2/asm2) asm-2.2.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=asm -DartifactId=asm -Dversion=2.2 -Dpackaging=jar \
#	-Dfile=/usr/share/java/asm2/asm2.jar
mkdir -p .m2/repository/wsdl4j/wsdl4j/1.5.2
pushd .m2/repository/wsdl4j/wsdl4j/1.5.2
ln -sf $(build-classpath wsdl4j) wsdl4j-1.5.2.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=wsdl4j -DartifactId=wsdl4j -Dversion=1.5.2 -Dpackaging=jar \
#	-Dfile=/usr/share/java/wsdl4j.jar
mkdir -p .m2/repository/axis/axis-wsdl4j/1.2
pushd .m2/repository/axis/axis-wsdl4j/1.2
ln -sf $(build-classpath wsdl4j) axis-wsdl4j-1.2.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=axis -DartifactId=axis-wsdl4j -Dversion=1.2 -Dpackaging=jar \
#	-Dfile=/usr/share/java/wsdl4j.jar
mkdir -p .m2/repository/bsh/bsh/1.3.0
pushd .m2/repository/bsh/bsh/1.3.0
ln -sf $(build-classpath bsh) bsh-1.3.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=bsh -DartifactId=bsh -Dversion=1.3.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/bsh.jar
mkdir -p .m2/repository/commons-codec/commons-codec/1.3
pushd .m2/repository/commons-codec/commons-codec/1.3
ln -sf $(build-classpath commons-codec) commons-codec-1.3.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=commons-codec -DartifactId=commons-codec -Dversion=1.3 -Dpackaging=jar \
#	-Dfile=/usr/share/java/commons-codec.jar
mkdir -p .m2/repository/commons-httpclient/commons-httpclient/3.0
pushd .m2/repository/commons-httpclient/commons-httpclient/3.0
ln -sf $(build-classpath commons-httpclient) commons-httpclient-3.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=commons-httpclient -DartifactId=commons-httpclient -Dversion=3.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/commons-httpclient.jar
mkdir -p .m2/repository/commons-io/commons-io/1.0
pushd .m2/repository/commons-io/commons-io/1.0
ln -sf $(build-classpath commons-io) commons-io-1.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=commons-io -DartifactId=commons-io -Dversion=1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/commons-io.jar
mkdir -p .m2/repository/commons-logging/commons-logging/1.0.3
pushd .m2/repository/commons-logging/commons-logging/1.0.3
ln -sf $(build-classpath commons-logging) commons-logging-1.0.3.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=commons-logging -DartifactId=commons-logging -Dversion=1.0.3 -Dpackaging=jar \
#	-Dfile=/usr/share/java/commons-logging.jar
mkdir -p .m2/repository/commons-logging/commons-logging/1.0.4
pushd .m2/repository/commons-logging/commons-logging/1.0.4
ln -sf $(build-classpath commons-logging) commons-logging-1.0.4.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=commons-logging -DartifactId=commons-logging -Dversion=1.0.4 -Dpackaging=jar \
#	-Dfile=/usr/share/java/commons-logging.jar
mkdir -p .m2/repository/commons-logging/commons-logging-api/1.0.4
pushd .m2/repository/commons-logging/commons-logging-api/1.0.4
ln -sf $(build-classpath commons-logging-api) commons-logging-api-1.0.4.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=commons-logging -DartifactId=commons-logging-api -Dversion=1.0.4 -Dpackaging=jar \
#	-Dfile=/usr/share/java/commons-logging-api.jar
mkdir -p .m2/repository/commons-modeler/commons-modeler/1.1M1
pushd .m2/repository/commons-modeler/commons-modeler/1.1M1
ln -sf $(build-classpath commons-modeler) commons-modeler-1.1M1.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=commons-modeler -DartifactId=commons-modeler -Dversion=1.1M1 -Dpackaging=jar \
#	-Dfile=/usr/share/java/commons-modeler.jar
mkdir -p .m2/repository/commons-validator/commons-validator/1.1.4
pushd .m2/repository/commons-validator/commons-validator/1.1.4
ln -sf $(build-classpath commons-validator) commons-validator-1.1.4.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=commons-validator -DartifactId=commons-validator -Dversion=1.1.4 -Dpackaging=jar \
#	-Dfile=/usr/share/java/commons-validator.jar
mkdir -p .m2/repository/concurrent/concurrent/1.3.4
pushd .m2/repository/concurrent/concurrent/1.3.4
ln -sf $(build-classpath concurrent) concurrent-1.3.4.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=concurrent -DartifactId=concurrent -Dversion=1.3.4 -Dpackaging=jar \
#	-Dfile=/usr/share/java/concurrent.jar
mkdir -p .m2/repository/javax/servlet/servlet-api/2.4
pushd .m2/repository/javax/servlet/servlet-api/2.4
ln -sf $(build-classpath tomcat5-servlet-2.4-api) servlet-api-2.4.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=javax.servlet -DartifactId=servlet-api -Dversion=2.4 -Dpackaging=jar \
#	-Dfile=/usr/share/java/tomcat5-servlet-2.4-api.jar
mkdir -p .m2/repository/junit/junit/3.8.1
pushd .m2/repository/junit/junit/3.8.1
ln -sf $(build-classpath junit) junit-3.8.1.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=junit -DartifactId=junit -Dversion=3.8.1 -Dpackaging=jar \
#	-Dfile=/usr/share/java/junit.jar
mkdir -p .m2/repository/log4j/log4j/1.2.12
pushd .m2/repository/log4j/log4j/1.2.12
ln -sf $(build-classpath log4j) log4j-1.2.12.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=log4j -DartifactId=log4j -Dversion=1.2.12 -Dpackaging=jar \
#	-Dfile=/usr/share/java/log4j.jar
mkdir -p .m2/repository/org/apache/derby/derby/10.1.1.0
pushd .m2/repository/org/apache/derby/derby/10.1.1.0
ln -sf $(build-classpath derby/derby) derby-10.1.1.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.apache.derby -DartifactId=derby -Dversion=10.1.1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/derby/derby.jar
mkdir -p .m2/repository/org/apache/derby/derby/10.1.2.1
pushd .m2/repository/org/apache/derby/derby/10.1.2.1
ln -sf $(build-classpath derby/derby) derby-10.1.2.1.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.apache.derby -DartifactId=derby -Dversion=10.1.2.1 -Dpackaging=jar \
#	-Dfile=/usr/share/java/derby/derby.jar
mkdir -p .m2/repository/org/apache/geronimo/specs/geronimo-j2ee-jacc_1.0_spec/1.0
pushd .m2/repository/org/apache/geronimo/specs/geronimo-j2ee-jacc_1.0_spec/1.0
ln -sf $(build-classpath geronimo-jacc-1.0-api) geronimo-j2ee-jacc_1.0_spec-1.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.apache.geronimo.specs -DartifactId=geronimo-j2ee-jacc_1.0_spec -Dversion=1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/geronimo-jacc-1.0-api.jar
mkdir -p .m2/repository/org/apache/geronimo/specs/geronimo-j2ee-management_1.0_spec/1.0
pushd .m2/repository/org/apache/geronimo/specs/geronimo-j2ee-management_1.0_spec/1.0
ln -sf $(build-classpath geronimo-j2ee-management-1.0-api) geronimo-j2ee-management_1.0_spec-1.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.apache.geronimo.specs -DartifactId=geronimo-j2ee-management_1.0_spec -Dversion=1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/geronimo-j2ee-management-1.0-api.jar
mkdir -p .m2/repository/org/apache/geronimo/specs/geronimo-j2ee-connector_1.5_spec/1.0
pushd .m2/repository/org/apache/geronimo/specs/geronimo-j2ee-connector_1.5_spec/1.0
ln -sf $(build-classpath geronimo-j2ee-connector-1.5-api) geronimo-j2ee-connector_1.5_spec-1.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.apache.geronimo.specs -DartifactId=geronimo-j2ee-connector_1.5_spec -Dversion=1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/geronimo-j2ee-connector-1.5-api.jar
mkdir -p .m2/repository/org/apache/geronimo/specs/geronimo-jta_1.0.1B_spec/1.0
pushd .m2/repository/org/apache/geronimo/specs/geronimo-jta_1.0.1B_spec/1.0
ln -sf $(build-classpath geronimo-jta-1.0.1B-api) geronimo-jta_1.0.1B_spec-1.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.apache.geronimo.specs -DartifactId=geronimo-jta_1.0.1B_spec -Dversion=1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/geronimo-jta-1.0.1B-api.jar
mkdir -p .m2/repository/org/apache/geronimo/specs/geronimo-activation_1.0.2_spec/1.0
pushd .m2/repository/org/apache/geronimo/specs/geronimo-activation_1.0.2_spec/1.0
ln -sf $(build-classpath geronimo-jaf-1.0.2-api) geronimo-activation_1.0.2_spec-1.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.apache.geronimo.specs -DartifactId=geronimo-activation_1.0.2_spec -Dversion=1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/geronimo-jaf-1.0.2-api.jar
mkdir -p .m2/repository/org/apache/geronimo/specs/geronimo-jms_1.1_spec/1.0
pushd .m2/repository/org/apache/geronimo/specs/geronimo-jms_1.1_spec/1.0
ln -sf $(build-classpath geronimo-jms-1.1-api) geronimo-jms_1.1_spec-1.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.apache.geronimo.specs -DartifactId=geronimo-jms_1.1_spec -Dversion=1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/geronimo-jms-1.1-api.jar
mkdir -p .m2/repository/oro/oro/2.0.7
pushd .m2/repository/oro/oro/2.0.7
ln -sf $(build-classpath oro) oro-2.0.7.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=oro -DartifactId=oro -Dversion=2.0.7 -Dpackaging=jar \
#	-Dfile=/usr/share/java/oro.jar
mkdir -p .m2/repository/qdox/qdox/1.5
pushd .m2/repository/qdox/qdox/1.5
ln -sf $(build-classpath qdox) qdox-1.5.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=qdox -DartifactId=qdox -Dversion=1.5 -Dpackaging=jar \
#	-Dfile=/usr/share/java/qdox.jar

# doesn't work
#mkdir -p .m2/repository/rhino/js/1.6R2
#pushd .m2/repository/rhino/js/1.6R2
#ln -sf $(build-classpath js) js-1.6R2.jar
#popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=rhino -DartifactId=js -Dversion=1.6R2 -Dpackaging=jar \
#	-Dfile=/usr/share/java/js.jar
mkdir -p .m2/repository/stax/stax-api/1.0
pushd .m2/repository/stax/stax-api/1.0
ln -sf $(build-classpath bea-stax-api) stax-api-1.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=stax -DartifactId=stax-api -Dversion=1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/bea-stax-api.jar
mkdir -p .m2/repository/tomcat/catalina/5.5.15
pushd .m2/repository/tomcat/catalina/5.5.15
ln -sf $(build-classpath tomcat5/catalina) catalina-5.5.15.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=tomcat -DartifactId=catalina -Dversion=5.5.15 -Dpackaging=jar \
#	-Dfile=/usr/share/java/tomcat5/catalina.jar
mkdir -p .m2/repository/tomcat/jsp-api/5.0.18
pushd .m2/repository/tomcat/jsp-api/5.0.18
ln -sf $(build-classpath tomcat5-jsp-2.0-api) jsp-api-5.0.18.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=tomcat -DartifactId=jsp-api -Dversion=5.0.18 -Dpackaging=jar \
#	-Dfile=/usr/share/java/tomcat5-jsp-2.0-api.jar
mkdir -p .m2/repository/tomcat/naming-factory/5.5.15
pushd .m2/repository/tomcat/naming-factory/5.5.15
ln -sf $(build-classpath tomcat5/naming-factory) naming-factory-5.5.15.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=tomcat -DartifactId=naming-factory -Dversion=5.5.15 -Dpackaging=jar \
#	-Dfile=/usr/share/java/tomcat5/naming-factory.jar
mkdir -p .m2/repository/tomcat/naming-resources/5.5.15
pushd .m2/repository/tomcat/naming-resources/5.5.15
ln -sf $(build-classpath tomcat5/naming-resources) naming-resources-5.5.15.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=tomcat -DartifactId=naming-resources -Dversion=5.5.15 -Dpackaging=jar \
#	-Dfile=/usr/share/java/tomcat5/naming-resources.jar
mkdir -p .m2/repository/tomcat/servlet-api/5.0.18
pushd .m2/repository/tomcat/servlet-api/5.0.18
ln -sf $(build-classpath tomcat5-servlet-2.4-api) servlet-api-5.0.18.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=tomcat -DartifactId=servlet-api -Dversion=5.0.18 -Dpackaging=jar \
#	-Dfile=/usr/share/java/tomcat5-servlet-2.4-api.jar
mkdir -p .m2/repository/tomcat/tomcat-coyote/5.5.15
pushd .m2/repository/tomcat/tomcat-coyote/5.5.15
ln -sf $(build-classpath tomcat5/tomcat-coyote) tomcat-coyote-5.5.15.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=tomcat -DartifactId=tomcat-coyote -Dversion=5.5.15 -Dpackaging=jar \
#	-Dfile=/usr/share/java/tomcat5/tomcat-coyote.jar
mkdir -p .m2/repository/tomcat/tomcat-http/5.5.15
pushd .m2/repository/tomcat/tomcat-http/5.5.15
ln -sf $(build-classpath tomcat5/tomcat-http) tomcat-http-5.5.15.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=tomcat -DartifactId=tomcat-http -Dversion=5.5.15 -Dpackaging=jar \
#	-Dfile=/usr/share/java/tomcat5/tomcat-http.jar
mkdir -p .m2/repository/tomcat/tomcat-util/5.5.15
pushd .m2/repository/tomcat/tomcat-util/5.5.15
ln -sf $(build-classpath tomcat5/tomcat-util) tomcat-util-5.5.15.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=tomcat -DartifactId=tomcat-util -Dversion=5.5.15 -Dpackaging=jar \
#	-Dfile=/usr/share/java/tomcat5/tomcat-util.jar
mkdir -p .m2/repository/woodstox/wstx-asl/2.9.3
pushd .m2/repository/woodstox/wstx-asl/2.9.3
ln -sf $(build-classpath wstx/wstx-asl) wstx-asl-2.9.3.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=woodstox -DartifactId=wstx-asl -Dversion=2.9.3 -Dpackaging=jar \
#	-Dfile=/usr/share/java/wstx/wstx-asl.jar
mkdir -p .m2/repository/ws-commons/axiom-api/1.0
pushd .m2/repository/ws-commons/axiom-api/1.0
ln -sf $(build-classpath ws-commons-axiom-api) axiom-api-1.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=ws-commons -DartifactId=axiom-api -Dversion=1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/ws-commons-axiom-api.jar
mkdir -p .m2/repository/ws-commons/axiom-impl/1.0
pushd .m2/repository/ws-commons/axiom-impl/1.0
ln -sf $(build-classpath ws-commons-axiom-impl) axiom-impl-1.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=ws-commons -DartifactId=axiom-impl -Dversion=1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/ws-commons-axiom-impl.jar
mkdir -p .m2/repository/ws-commons/policy/1.0
pushd .m2/repository/ws-commons/policy/1.0
ln -sf $(build-classpath ws-commons-policy) policy-1.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=ws-commons -DartifactId=policy -Dversion=1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/ws-commons-policy.jar
mkdir -p .m2/repository/ws-commons/policy/SNAPSHOT
pushd .m2/repository/ws-commons/policy/SNAPSHOT
ln -sf $(build-classpath ws-commons-policy) policy-SNAPSHOT.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=ws-commons -DartifactId=policy -Dversion=SNAPSHOT -Dpackaging=jar \
#	-Dfile=/usr/share/java/ws-commons-policy.jar
mkdir -p .m2/repository/ws-commons/XmlSchema/1.0.2
pushd .m2/repository/ws-commons/XmlSchema/1.0.2
ln -sf $(build-classpath ws-commons-XmlSchema) XmlSchema-1.0.2.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=ws-commons -DartifactId=XmlSchema -Dversion=1.0.2 -Dpackaging=jar \
#	-Dfile=/usr/share/java/ws-commons-XmlSchema.jar
mkdir -p .m2/repository/org/apache/ws/commons/XmlSchema/1.0.2
pushd .m2/repository/org/apache/ws/commons/XmlSchema/1.0.2
ln -sf $(build-classpath ws-commons-XmlSchema) XmlSchema-1.0.2.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.apache.ws.commons -DartifactId=XmlSchema -Dversion=1.0.2 -Dpackaging=jar \
#	-Dfile=/usr/share/java/ws-commons-XmlSchema.jar
mkdir -p .m2/repository/xmlbeans/xbean/2.1.0
pushd .m2/repository/xmlbeans/xbean/2.1.0
ln -sf $(build-classpath xmlbeans/xbean) xbean-2.1.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=xmlbeans -DartifactId=xbean -Dversion=2.1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/xmlbeans/xbean.jar

#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.apache.geronimo -DartifactId=geronimo-transaction \
#	-Dversion=1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/geronimo/transaction.jar
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.apache.geronimo -DartifactId=geronimo-connector \
#	-Dversion=1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/geronimo/connector.jar
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.apache.geronimo -DartifactId=geronimo-kernel \
#	-Dversion=1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/geronimo/kernel.jar

mkdir -p .m2/repository/checkstyle/checkstyle/4.1
pushd .m2/repository/checkstyle/checkstyle/4.1
ln -sf $(build-classpath checkstyle) checkstyle-4.1.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=checkstyle -DartifactId=checkstyle \
#	-Dversion=4.1 -Dpackaging=jar \
#	-Dfile=/usr/share/java/checkstyle.jar
mkdir -p .m2/repository/checkstyle/checkstyle-optional/4.1
pushd .m2/repository/checkstyle/checkstyle-optional/4.1
ln -sf $(build-classpath checkstyle-optional) checkstyle-optional-4.1.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=checkstyle -DartifactId=checkstyle-optional \
#	-Dversion=4.1 -Dpackaging=jar \
#	-Dfile=/usr/share/java/checkstyle-optional.jar
mkdir -p .m2/repository/springframework/spring/1.2.2
pushd .m2/repository/springframework/spring/1.2.2
ln -sf $(build-classpath spring) spring-1.2.2.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=springframework -DartifactId=spring \
#	-Dversion=1.2.2 -Dpackaging=jar \
#	-Dfile=/usr/share/java/spring.jar
mkdir -p .m2/repository/org/springframework/spring-beans/1.2.5
pushd .m2/repository/org/springframework/spring-beans/1.2.5
ln -sf $(build-classpath spring/beans) spring-beans-1.2.5.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.springframework -DartifactId=spring-beans \
#	-Dversion=1.2.5 -Dpackaging=jar \
#	-Dfile=/usr/share/java/spring/beans.jar
mkdir -p .m2/repository/org/springframework/spring-core/1.2.5
pushd .m2/repository/org/springframework/spring-core/1.2.5
ln -sf $(build-classpath spring/core) spring-core-1.2.5.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.springframework -DartifactId=spring-core \
#	-Dversion=1.2.5 -Dpackaging=jar \
#	-Dfile=/usr/share/java/spring/core.jar
mkdir -p .m2/repository/velocity/velocity-dep/1.4
pushd .m2/repository/velocity/velocity-dep/1.4
ln -sf $(build-classpath velocity) velocity-dep-1.4.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=velocity -DartifactId=velocity-dep \
#	-Dversion=1.4 -Dpackaging=jar \
#	-Dfile=/usr/share/java/velocity.jar
mkdir -p .m2/repository/velocity/velocity/1.4
pushd .m2/repository/velocity/velocity/1.4
ln -sf $(build-classpath velocity) velocity-1.4.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=velocity -DartifactId=velocity \
#	-Dversion=1.4 -Dpackaging=jar \
#	-Dfile=/usr/share/java/velocity.jar
mkdir -p .m2/repository/jetty/org.mortbay.jetty/5.1.9
pushd .m2/repository/jetty/org.mortbay.jetty/5.1.9
ln -sf $(build-classpath jetty5/jetty5) org.mortbay.jetty-5.1.9.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=jetty -DartifactId=org.mortbay.jetty \
#	-Dversion=5.1.9 -Dpackaging=jar \
#	-Dfile=/usr/share/java/jetty5/jetty5.jar
mkdir -p .m2/repository/commons-dbcp/commons-dbcp/1.2
pushd .m2/repository/commons-dbcp/commons-dbcp/1.2
ln -sf $(build-classpath commons-dbcp) commons-dbcp-1.2.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=commons-dbcp -DartifactId=commons-dbcp \
#	-Dversion=1.2 -Dpackaging=jar \
#	-Dfile=/usr/share/java/commons-dbcp.jar
mkdir -p .m2/repository/commons-collections/commons-collections/2.0
pushd .m2/repository/commons-collections/commons-collections/2.0
ln -sf $(build-classpath commons-collections) commons-collections-2.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=commons-collections -DartifactId=commons-collections \
#	-Dversion=2.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/commons-collections.jar
mkdir -p .m2/repository/commons-collections/commons-collections/2.1
pushd .m2/repository/commons-collections/commons-collections/2.1
ln -sf $(build-classpath commons-collections) commons-collections-2.1.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=commons-collections -DartifactId=commons-collections \
#	-Dversion=2.1 -Dpackaging=jar \
#	-Dfile=/usr/share/java/commons-collections.jar
mkdir -p .m2/repository/commons-beanutils/commons-beanutils/1.7.0
pushd .m2/repository/commons-beanutils/commons-beanutils/1.7.0
ln -sf $(build-classpath commons-beanutils) commons-beanutils-1.7.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=commons-beanutils -DartifactId=commons-beanutils \
#	-Dversion=1.7.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/commons-beanutils.jar
mkdir -p .m2/repository/antlr/antlr/2.7.2
pushd .m2/repository/antlr/antlr/2.7.2
ln -sf $(build-classpath antlr) antlr-2.7.2.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=antlr -DartifactId=antlr \
#	-Dversion=2.7.2 -Dpackaging=jar \
#	-Dfile=/usr/share/java/antlr.jar
mkdir -p .m2/repository/ant/ant-launcher/1.6.5
pushd .m2/repository/ant/ant-launcher/1.6.5
ln -sf $(build-classpath ant-launcher) ant-launcher-1.6.5.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=ant -DartifactId=ant-launcher \
#	-Dversion=1.6.5 -Dpackaging=jar \
#	-Dfile=/usr/share/java/ant-launcher.jar
mkdir -p .m2/repository/ant/ant/1.6.5
pushd .m2/repository/ant/ant/1.6.5
ln -sf $(build-classpath ant) ant-1.6.5.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=ant -DartifactId=ant \
#	-Dversion=1.6.5 -Dpackaging=jar \
#	-Dfile=/usr/share/java/ant.jar
mkdir -p .m2/repository/regexp/regexp/1.3
pushd .m2/repository/regexp/regexp/1.3
ln -sf $(build-classpath regexp) regexp-1.3.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=regexp -DartifactId=regexp \
#	-Dversion=1.3 -Dpackaging=jar \
#	-Dfile=/usr/share/java/regexp.jar


#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.easymock -DartifactId=easymock \
#	-Dversion=2.2 -Dpackaging=jar \
#	-Dfile=/usr/share/java/easymock.jar
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=org.easymock -DartifactId=easymockclassextension \
#	-Dversion=2.2 -Dpackaging=jar \
#	-Dfile=/usr/share/java/easymock-classextension.jar


mkdir -p .m2/repository/cglib/cglib-nodep/2.1_3
pushd .m2/repository/cglib/cglib-nodep/2.1_3
ln -sf $(build-classpath cglib) cglib-nodep-2.1_3.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=cglib -DartifactId=cglib-nodep \
#	-Dversion=2.1_3 -Dpackaging=jar \
#	-Dfile=/usr/share/java/cglib.jar
mkdir -p .m2/repository/commons-pool/commons-pool/1.2
pushd .m2/repository/commons-pool/commons-pool/1.2
ln -sf $(build-classpath commons-pool) commons-pool-1.2.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=commons-pool -DartifactId=commons-pool \
#	-Dversion=1.2 -Dpackaging=jar \
#	-Dfile=/usr/share/java/commons-pool.jar
mkdir -p .m2/repository/commons-primitives/commons-primitives/1.0
pushd .m2/repository/commons-primitives/commons-primitives/1.0
ln -sf $(build-classpath commons-primitives) commons-primitives-1.0.jar
popd
#$M2HOME/bin/mvn -o -s ${M2SETTINGS} install:install-file \
#	-DgroupId=commons-primitives -DartifactId=commons-primitives \
#	-Dversion=1.0 -Dpackaging=jar \
#	-Dfile=/usr/share/java/commons-primitives.jar

# FIXME
# replace more jars from SOURCE1 with install:install-file runs

mkdir -p .m2/repository/axis2/axis2-codegen/1.0
pushd .m2/repository/axis2/axis2-codegen/1.0
ln -sf $(build-classpath axis2/codegen) axis2-codegen-1.0.jar
popd

# missing in axis2 rpm
#mkdir -p .m2/repository/axis2/axis2-kernel/1.0
#pushd .m2/repository/axis2/axis2-kernel/1.0
#ln -sf $(build-classpath axis2/kernel) axis2-kernel-1.0.jar
#popd

mkdir -p .m2/repository/org/apache/maven/maven-archiver/2.0
pushd .m2/repository/org/apache/maven/maven-archiver/2.0
ln -sf $(build-classpath maven2/maven-archiver) maven-archiver-2.0.jar
popd

mkdir -p .m2/repository/org/apache/maven/maven-archiver/2.0
pushd .m2/repository/org/apache/maven/maven-archiver/2.0
ln -sf $(build-classpath maven2/maven-archiver) maven-archiver-2.0.jar
popd

mkdir -p .m2/repository/org/apache/maven/maven-plugin-api/2.0
pushd .m2/repository/org/apache/maven/maven-plugin-api/2.0
ln -sf $(build-classpath maven2/maven-plugin-api) maven-plugin-api-2.0.jar
popd

mkdir -p .m2/repository/org/apache/maven/maven-plugin-tools-api/2.0.1
pushd .m2/repository/org/apache/maven/maven-plugin-tools-api/2.0.1
ln -sf $(build-classpath maven2/maven-plugin-tools-api) maven-plugin-tools-api-2.0.1.jar
popd

mkdir -p .m2/repository/org/apache/maven/maven-plugin-tools-beanshell/2.0.1
pushd .m2/repository/org/apache/maven/maven-plugin-tools-beanshell/2.0.1
ln -sf $(build-classpath maven2/maven-plugin-tools-beanshell) maven-plugin-tools-beanshell-2.0.1.jar
popd

mkdir -p .m2/repository/org/apache/maven/maven-plugin-tools-java/2.0.1
pushd .m2/repository/org/apache/maven/maven-plugin-tools-java/2.0.1
ln -sf $(build-classpath maven2/maven-plugin-tools-java) maven-plugin-tools-java-2.0.1.jar
popd

# plugin from maven2-2.0.2 throws NPE
#mkdir -p .m2/repository/org/apache/maven/plugins/maven-antrun-plugin/1.1
#pushd .m2/repository/org/apache/maven/plugins/maven-antrun-plugin/1.1
#ln -sf \
#/usr/share/maven2/plugins/org/apache/maven/plugins/maven-ant-plugin.jar \
#maven-antrun-plugin-1.1.jar
#popd

mkdir -p .m2/repository/org/apache/maven/plugins/maven-checkstyle-plugin/2.0
pushd .m2/repository/org/apache/maven/plugins/maven-checkstyle-plugin/2.0
ln -sf \
/usr/share/maven2/plugins/org/apache/maven/plugins/maven-checkstyle-plugin.jar \
maven-checkstyle-plugin-2.0.jar
popd

mkdir -p .m2/repository/org/apache/maven/plugins/maven-clean-plugin/2.1
pushd .m2/repository/org/apache/maven/plugins/maven-clean-plugin/2.1
ln -sf \
/usr/share/maven2/plugins/org/apache/maven/plugins/maven-clean-plugin.jar \
maven-clean-plugin-2.1.jar
popd

mkdir -p .m2/repository/org/apache/maven/plugins/maven-compiler-plugin/2.0.1
pushd .m2/repository/org/apache/maven/plugins/maven-compiler-plugin/2.0.1
ln -sf \
/usr/share/maven2/plugins/org/apache/maven/plugins/maven-compiler-plugin.jar \
maven-compiler-plugin-2.0.1.jar
popd

mkdir -p .m2/repository/org/apache/maven/plugins/maven-eclipse-plugin/2.2
pushd .m2/repository/org/apache/maven/plugins/maven-eclipse-plugin/2.2
ln -sf \
/usr/share/maven2/plugins/org/apache/maven/plugins/maven-eclipse-plugin.jar \
maven-eclipse-plugin-2.2.jar
popd

mkdir -p .m2/repository/org/apache/maven/plugins/maven-install-plugin/2.1
pushd .m2/repository/org/apache/maven/plugins/maven-install-plugin/2.1
ln -sf \
/usr/share/maven2/plugins/org/apache/maven/plugins/maven-install-plugin.jar \
maven-install-plugin-2.1.jar
popd

mkdir -p .m2/repository/org/apache/maven/plugins/maven-jar-plugin/2.0
pushd .m2/repository/org/apache/maven/plugins/maven-jar-plugin/2.0
ln -sf \
/usr/share/maven2/plugins/org/apache/maven/plugins/maven-jar-plugin.jar \
maven-jar-plugin-2.0.jar
popd

mkdir -p .m2/repository/org/apache/maven/plugins/maven-plugin-plugin/2.1
pushd .m2/repository/org/apache/maven/plugins/maven-plugin-plugin/2.1
ln -sf \
/usr/share/maven2/plugins/org/apache/maven/plugins/maven-plugin-plugin.jar \
maven-plugin-plugin-2.1.jar
popd

mkdir -p .m2/repository/org/apache/maven/plugins/maven-resources-plugin/2.1
pushd .m2/repository/org/apache/maven/plugins/maven-resources-plugin/2.1
ln -sf \
/usr/share/maven2/plugins/org/apache/maven/plugins/maven-resources-plugin.jar \
maven-resources-plugin-2.1.jar
popd

mkdir -p .m2/repository/org/apache/maven/plugins/maven-site-plugin/2.0-beta-4
pushd .m2/repository/org/apache/maven/plugins/maven-site-plugin/2.0-beta-4
ln -sf \
/usr/share/maven2/plugins/org/apache/maven/plugins/maven-site-plugin.jar \
maven-site-plugin-2.0-beta-4.jar
popd

mkdir -p .m2/repository/org/apache/maven/plugins/maven-surefire-plugin/2.1.3
pushd .m2/repository/org/apache/maven/plugins/maven-surefire-plugin/2.1.3
ln -sf \
/usr/share/maven2/plugins/org/apache/maven/plugins/maven-surefire-plugin.jar \
maven-surefire-plugin-2.1.3.jar
popd

mkdir -p .m2/repository/org/apache/maven/plugins/maven-war-plugin/2.0-beta-2
pushd .m2/repository/org/apache/maven/plugins/maven-war-plugin/2.0-beta-2
ln -sf \
/usr/share/maven2/plugins/org/apache/maven/plugins/maven-war-plugin.jar \
maven-war-plugin-2.0-beta-2.jar
popd


mkdir -p .m2/repository/org/apache/maven/reporting/maven-reporting-impl/2.0
pushd .m2/repository/org/apache/maven/reporting/maven-reporting-impl/2.0
ln -sf $(build-classpath maven2/maven-reporting-impl) maven-reporting-impl-2.0.jar 
popd

mkdir -p .m2/repository/org/codehaus/plexus/plexus-archiver/1.0-alpha-3
pushd .m2/repository/org/codehaus/plexus/plexus-archiver/1.0-alpha-3
ln -sf $(build-classpath plexus/archiver) plexus-archiver-1.0-alpha-3.jar
popd

mkdir -p .m2/repository/org/codehaus/plexus/plexus-compiler-api/1.5.2
pushd .m2/repository/org/codehaus/plexus/plexus-compiler-api/1.5.2
ln -sf $(build-classpath plexus/compiler-api) plexus-compiler-api-1.5.2.jar
popd

mkdir -p .m2/repository/org/codehaus/plexus/plexus-compiler-javac/1.5.2
pushd .m2/repository/org/codehaus/plexus/plexus-compiler-javac/1.5.2
ln -sf $(build-classpath plexus/compiler-javac) plexus-compiler-javac-1.5.2.jar
popd

mkdir -p .m2/repository/org/codehaus/plexus/plexus-compiler-manager/1.5.2
pushd .m2/repository/org/codehaus/plexus/plexus-compiler-manager/1.5.2
ln -sf $(build-classpath plexus/compiler-manager) plexus-compiler-manager-1.5.2.jar
popd

mkdir -p .m2/repository/org/codehaus/plexus/plexus-velocity/1.1.2
pushd .m2/repository/org/codehaus/plexus/plexus-velocity/1.1.2
ln -sf $(build-classpath plexus/velocity) plexus-velocity-1.1.2.jar
popd

mkdir -p .m2/repository/ws-commons/neethi/1.0.1
pushd .m2/repository/ws-commons/neethi/1.0.1
ln -sf $(build-classpath neethi) neethi-1.0.1.jar
popd

mkdir -p .m2/repository/plexus/plexus-i18n/1.0-beta-5
pushd .m2/repository/plexus/plexus-i18n/1.0-beta-5
ln -sf $(build-classpath plexus/i18n) plexus-i18n-1.0-beta-5.jar
popd



$M2HOME/bin/mvn -o -s ${M2SETTINGS} clean:clean

#[START] Reactor build order:
#[START]  OSOA Specification API jars
pushd spec
#[START]  SDO API
pushd sdo
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    SDO API
popd
#[START]  SCA API
pushd sca
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    SCA API
popd
#[END]    OSOA Specification API jars
popd
#[START]  Tuscany Project
pwd
#[START]  Tuscany SDO Implementation Project
pushd sdo
#[START]  Tuscany SDO Implementation
pushd impl
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany SDO Implementation
popd
#[START]  Tuscany SDO Tools
pushd tools
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany SDO Tools
popd
#[START]  Tuscany SDO Maven Plugin
pushd plugin
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany SDO Maven Plugin
popd
#[END]    Tuscany SDO Implementation Project
popd
#[START]  Tuscany DAS
pushd das
#[START]  Tuscany DAS for Relational Databases
pushd rdb
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany DAS for Relational Databases
popd
#[START]  Tuscany DAS Samples
pushd samples
#[START]  Tuscany DAS sample Company WEB
pushd companyweb
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany DAS sample Company WEB
popd
#[END]    Tuscany DAS Samples
popd
#[END]    Tuscany DAS for Relational Databases
popd
#[START]  Tuscany SCA Implementation Project
pushd sca
#[START]  Tuscany Common
pushd common
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany Common
popd
#[START]  Tuscany Assembly Model
pushd model
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany Assembly Model
popd
#[START]  Tuscany Core
pushd core
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany Core
popd
#[START]  Tuscany SCA Bindings
pushd bindings
#[START]  Project to install the Sun jars
pushd sunjars
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Project to install the Sun jars
popd
#[END]  Tuscany SCA Bindings
popd
#[START]  Tuscany SCA Data Bindings
pushd databinding
#[START]  Tuscany Data Binding based on SDO
pushd sdo
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany Data Binding based on SDO
popd
#[END]    Tuscany SCA Data Bindings
popd
#[START]  Tuscany SCA Containers
pushd containers
#[START]  Tuscany Java IoC Container
pushd container.java
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany Java IoC Container
popd
#[END]    Tuscany SCA Containers
popd
#[START]  Tuscany SCA Bindings
pushd bindings
#[START]  Tuscany Axis2 Binding
pushd binding.axis2
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany Axis2 Binding
popd
#[END]    Tuscany SCA Bindings
popd
#[START]  Tuscany Apache Tomcat Integration
pushd tomcat
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany Apache Tomcat Integration
popd
#[START]  Tuscany SCA Bindings
pushd bindings
#[START]  Tuscany JSON-RPC Binding
pushd binding.jsonrpc
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany JSON-RPC Binding
popd
#[START]  Tuscany Celtix Binding
pushd binding.celtix
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany Celtix Binding
popd
#[END]    Tuscany SCA Bindings
popd
#[START]  Tuscany SCA Containers
pushd containers
#[START]  Tuscany Rhino JavaScript Container
pushd container.rhino
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany Rhino JavaScript Container
popd
#[END]    Tuscany SCA Containers
popd
#[START]  Tuscany SCA Tools
pushd tools
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany SCA Tools
popd
#[START]  Tuscany SCA Maven Plugin
pushd plugin
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany SCA Maven Plugin
popd
#[START]  Tuscany SCA Samples
pushd samples
#[START]  Tuscany HelloWorld Sample
pushd helloworld
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany HelloWorld Sample
popd
#[START]  Tuscany HelloWorld Web Application Sample
pushd helloworldweb
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany HelloWorld Web Application Sample
popd
#[START]  Tuscany Calculator Sample
pushd calculator
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany Calculator Sample
popd
#[START]  Tuscany Customer Info Sample
pushd customerinfo
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany Customer Info Sample
popd
#[START]  Tuscany HelloWorld Web Service Sample
pushd helloworldws
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany HelloWorld Web Service Sample
popd
#[START]  Tuscany HelloWorld Celtix Web Service Sample
pushd helloworldws-celtix
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany HelloWorld Celtix Web Service Sample
popd
#[START]  Tuscany HelloWorld Web Service Client Sample
pushd helloworldwsclient
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany HelloWorld Web Service Client Sample
popd
#[START]  Tuscany Supply Chain Sample
pushd supplychain
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany Supply Chain Sample
popd
#[START]  Tuscany HelloWorld JSON-RPC Sample
pushd helloworldjsonrpc
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany HelloWorld JSON-RPC Sample
popd
#[END]  Tuscany SCA Implementation Project
popd
#[END]  Tuscany SCA Samples
popd
#[START]   Tuscany Scenario Samples
pushd samples
#[START]   Tuscany BigBank Scenario Sample
pushd bigbank
#[START]   Tuscany BigBank Account Module
pushd account
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany BigBank Account Module
popd
#[START]   Tuscany BigBank Web Client Module
pushd webclient
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]    Tuscany BigBank Web Client Module
popd
#[END]   Tuscany BigBank Scenario Sample
popd
#[START]   Tuscany Samples JavaScript
pushd JavaScript
#[START]   Tuscany Samples - JavaScript - Sample 1 - HelloWorld
pushd sample1
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]   Tuscany Samples - JavaScript - Sample 1 - HelloWorld
popd
#[START]   Tuscany Samples - JavaScript - Sample 2 - Properties
pushd sample2
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]   Tuscany Samples - JavaScript - Sample 2 - Properties
popd
#[START]   Tuscany Samples - JavaScript - Sample 3 - References
pushd sample3
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]   Tuscany Samples - JavaScript - Sample 3 - References
popd
#[START]   Tuscany Samples - JavaScript - Sample 4 - Initialization
pushd sample4
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]   Tuscany Samples - JavaScript - Sample 4 - Initialization
popd
#[START]   Tuscany Samples - JavaScript - Sample 5 - Importing Java classes
pushd sample5
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]   Tuscany Samples - JavaScript - Sample 5 - Importing Java classes
popd
#[START]   Tuscany Samples - JavaScript - Sample 7 - E4X
pushd sample7
/opt/maven-2.0.4/bin/mvn -o -s ${M2SETTINGS} 
#[END]   Tuscany Samples - JavaScript - Sample 7 - E4X
popd
#[END]   Tuscany Samples JavaScript
popd
#[END]   Tuscany Scenario Samples
popd
#[END] Reactor build



%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 \
	das/rdb/target/%{name}-das-rdb-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-das-rdb-%{version}.jar
install -m 644 \
	sca/bindings/binding.axis2/target/%{name}-binding-axis2-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-binding-axis2-%{version}.jar
install -m 644 \
	sca/bindings/binding.celtix/target/%{name}-binding-celtix-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-binding-celtix-%{version}.jar
install -m 644 \
	sca/bindings/binding.jsonrpc/target/%{name}-binding-jsonrpc-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-binding-jsonrpc-%{version}.jar
install -m 644 \
	sca/common/target/%{name}-common-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-common-%{version}.jar
install -m 644 \
	sca/containers/container.java/target/%{name}-container-java-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-container-java-%{version}.jar
install -m 644 \
	sca/containers/container.rhino/target/%{name}-container-rhino-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-container-rhino-%{version}.jar
install -m 644 \
	sca/core/target/%{name}-core-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-%{version}.jar
install -m 644 \
	sca/databinding/sdo/target/%{name}-databinding-sdo-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-databinding-sdo-%{version}.jar
install -m 644 \
	sca/model/target/%{name}-model-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-model-%{version}.jar
install -m 644 \
	sca/plugin/target/%{name}-sca-plugin-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-sca-plugin-%{version}.jar
install -m 644 \
	sca/tomcat/target/%{name}-tomcat-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-tomcat-%{version}.jar
install -m 644 \
	sca/tools/target/%{name}-sca-tools-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-sca-tools-%{version}.jar
install -m 644 \
	sdo/impl/target/%{name}-sdo-impl-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-sdo-impl-%{version}.jar
install -m 644 \
	sdo/plugin/target/%{name}-sdo-plugin-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-sdo-plugin-%{version}.jar
install -m 644 \
	sdo/tools/target/%{name}-sdo-tools-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-sdo-tools-%{version}.jar
install -m 644 \
	spec/sca/target/sca-api-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/sca-api-%{version}.jar
install -m 644 \
	spec/sdo/target/sdo-api-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/sdo-api-%{version}.jar
# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)


install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/samples
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/samples/das
install -m 644 \
	das/samples/companyweb/target/companyWeb-%{version}.war \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/das
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/bigbank
install -m 644 \
	samples/bigbank/account/target/bigbank-account-%{version}.war \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/bigbank
install -m 644 \
	samples/bigbank/webclient/target/bigbank-webclient-%{version}.war \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/bigbank
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/JavaScript
install -m 644 \
	samples/JavaScript/sample1/target/javascript-sample1-%{version}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/JavaScript
install -m 644 \
	samples/JavaScript/sample2/target/javascript-sample2-%{version}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/JavaScript
install -m 644 \
	samples/JavaScript/sample3/target/javascript-sample3-%{version}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/JavaScript
install -m 644 \
	samples/JavaScript/sample4/target/javascript-sample4-%{version}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/JavaScript
install -m 644 \
	samples/JavaScript/sample5/target/javascript-sample5-%{version}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/JavaScript
install -m 644 \
	samples/JavaScript/sample7/target/javascript-sample7-%{version}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/scenario/JavaScript
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca
install -m 644 \
	sca/samples/calculator/target/calculator-%{version}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca
install -m 644 \
	sca/samples/customerinfo/target/customerinfo-%{version}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca
install -m 644 \
	sca/samples/helloworldjsonrpc/target/helloworldjsonrpc-%{version}.war \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca
install -m 644 \
	sca/samples/helloworld/target/helloworld-%{version}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca
install -m 644 \
	sca/samples/helloworldweb/target/helloworldweb-%{version}.war \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca
install -m 644 \
	sca/samples/helloworldws-celtix/target/helloworldws-celtix-%{version}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca
install -m 644 \
	sca/samples/helloworldwsclient/target/helloworldwsclient-%{version}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca
install -m 644 \
	sca/samples/helloworldws/target/helloworldws-%{version}.war \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca
install -m 644 \
	sca/samples/supplychain/target/supplychain-%{version}.jar \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/samples/sca

#install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
#cp -pr target/docs/apidocs/* \
#	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
#
#ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT

#%post javadoc
#rm -f %{_javadocdir}/%{name}
#ln -s %{name}-%{version} %{_javadocdir}/%{name}
#
#%postun javadoc
#if [ "$1" = "0" ]; then
#  rm -f %{_javadocdir}/%{name}
#fi


%files 
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%dir %{_javadir}/%{name}

%files das-rdb
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*das-rdb*.jar

%files sca-binding-axis2
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*binding-axis2*.jar

%files sca-binding-celtix
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*binding-celtix*.jar

%files sca-binding-jsonrpc
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*binding-jsonrpc*.jar

%files sca-container-java
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*container-java*.jar

%files sca-container-rhino
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*container-rhino*.jar

%files sca
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*common*.jar
%{_javadir}/%{name}/*core*.jar
%{_javadir}/%{name}/*databinding-sdo*.jar
%{_javadir}/%{name}/*model*.jar
%{_javadir}/%{name}/*tomcat*.jar
%{_javadir}/%{name}/*sca-tools*.jar

%files sca-maven-plugin
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*sca-plugin*.jar

%files sdo
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*sdo-impl*.jar
%{_javadir}/%{name}/*sdo-tools*.jar

%files sdo-maven-plugin
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*sdo-plugin*.jar

%files specs
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/*sca-api*.jar
%{_javadir}/%{name}/*sdo-api*.jar

#%files javadoc
#%defattr(0644,root,root,0755)
#%{_javadocdir}/%{name}-%{version}
#%ghost %{_javadocdir}/%{name}

#%files manual
#%defattr(0644,root,root,0755)
#%{_docdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/samples

%changelog
* Fri Jun 02 2006 Ralph Apel <r.apel at r-apel.de> 0:SNAPSHOT-0.20060511.2jpp
- First build 

* Thu May 11 2006 Ralph Apel <r.apel at r-apel.de> 0:SNAPSHOT-0.20060511.1jpp
- First build 
